Any problems pairing with blue-tooth? I have had problems with other BT devices on my iMac.

Back To Product

Follow this Question

1 Answer from the Community

  • Best Answer:

    Works like a charm with Snow Leopard. Momentum scrolling doesn't work on Leopard. Everything else works. You need 10.5.8 with the respective Bluetooth update though. Look at the system requirements.

    Was this useful? Answer 1

    6 of 6 people found this useful

Related Questions